ALTER TABLE NCARD_TYPE ADD CAMERA_ACCESS_CONTROL VARCHAR2(1 CHAR);

CREATE TABLE NCARD_CAMERA_USER (
    ID_NCARD_CAMERA_USER NUMBER NOT NULL,
    NCARD NUMBER NOT NULL,
    ID_DATOTEKE_KUPCEV NUMBER NOT NULL,
    NAME VARCHAR2(100 CHAR) NOT NULL,
    CAMERA_USER_ID VARCHAR2(200 CHAR),
    CAMERA_USER_PASSWORD VARCHAR2(200 CHAR),
    ACT VARCHAR2(1 CHAR) NOT NULL,
    CONSTRAINT NCARD_CAMERA_USER_PK PRIMARY KEY(ID_NCARD_CAMERA_USER),
    CONSTRAINT NCARD_CAMERA_USER_NCARD_FK FOREIGN KEY (NCARD) REFERENCES NCARD(NCARD),
    CONSTRAINT NCARD_CAMERA_USER_DAT_KUP_FK FOREIGN KEY (ID_DATOTEKE_KUPCEV) REFERENCES DATOTEKE_KUPCEV(ID_DATOTEKE_KUPCEV)
);

CREATE SEQUENCE NCARD_CAMERA_USER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE NCARD_CAMERA (
    ID_NCARD_CAMERA NUMBER NOT NULL,
    NCARD NUMBER NOT NULL,
    HIK_CAMERA_ID NUMBER NOT NULL,
    CONSTRAINT NCARD_CAMERA_PK PRIMARY KEY(ID_NCARD_CAMERA),
    CONSTRAINT NCARD_CAMERA_NCARD_FK FOREIGN KEY (NCARD) REFERENCES NCARD(NCARD),
    CONSTRAINT NCARD_CAMERA_HIKCAMERA_FK FOREIGN KEY (HIK_CAMERA_ID) REFERENCES HIK_CAMERA(HIK_CAMERA_ID)
);

CREATE SEQUENCE NCARD_CAMERA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

DROP VIEW V_NCARD;

CREATE OR REPLACE VIEW V_NCARD AS (
SELECT N.NCARD, N.ID_LASTNIKA, N.ID_PLOVILA, N.VELJA_OD, N.VELJA_DO, N.SERIALNUMBER, N.NCARD_TYPE, N."COMMENT", N.STATUS, N.NNLOCATION_ID, N.RETURNED,
NCT.OPIS AS NCARD_TYPE_OPIS, NCT.INTERNI_OPIS AS NCARD_TYPE_INTERNI_OPIS, P.IME AS PLOVILA_IME, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
(SELECT S.N_RACUNA FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN ('POS', 'RAC') AND S.STORNO IS NULL AND ROWNUM <= 1) AS INVOICE_NUMBER,
(SELECT SUM(S.ZA_PLACILO) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN ('POS', 'RAC') AND (S.STORNO IS NULL OR S.STORNO <> 'D')) AS INVOICE_VALUE,
(SELECT SUM(S.ZA_PLACILO-S.PORABLJENO) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN (SELECT NK.SALDKONT FROM NKNJIZBA NK WHERE NK.DEPOSIT = 'Y')) AS DEPOSIT_VALUE,
(SELECT SUM(ABS(S.ZA_PLACILO)) FROM SALDKONT S WHERE S.NCARD = N.NCARD AND S.VRSTA_RACUNA IN (SELECT NK.SALDKONT FROM NKNJIZBA NK WHERE NK.REFUND = 'Y')) AS REFUND_VALUE,
NCT.CAMERA_ACCESS_CONTROL
FROM NCARD N
LEFT OUTER JOIN NCARD_TYPE NCT ON NCT.ID = N.NCARD_TYPE
LEFT OUTER JOIN KUPCI K ON K.ID = N.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = N.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2040, SYSDATE, '5.5', 1960, 'Camera access control')
;
