DROP SEQUENCE ID_SERVIS;

CREATE SEQUENCE ID_SERVIS START WITH 100 INCREMENT BY 1;

ALTER TABLE SERVIS_PARAM
  ADD PLAN_TYPE VARCHAR2(1 CHAR);

DELETE FROM SERVIS_CAS WHERE ID_SERVIS IN (SELECT ID_SERVIS FROM SERVIS_PARAM WHERE ID_SERVIS<100 AND PLAN_TYPE IS NULL);

DELETE FROM SERVIS_PARAM WHERE ID_SERVIS<100 AND PLAN_TYPE IS NULL;

INSERT INTO SERVIS_PARAM (ID_SERVIS, OPIS, INTERNI_OPIS, DAN_TEDNA_OD, DAN_TEDNA_DO, URA_OD, URA_DO, PLAN_TYPE)
VALUES
(1, 'SERVICE', 'SERVICE', 1, 7, TO_DATE('08:00', 'HH24:MI'), TO_DATE('20:00', 'HH24:MI'), 'S');

INSERT INTO SERVIS_PARAM (ID_SERVIS, OPIS, INTERNI_OPIS, DAN_TEDNA_OD, DAN_TEDNA_DO, URA_OD, URA_DO, PLAN_TYPE)
VALUES
(2, 'RECREATION', 'RECREATION', 1, 7, TO_DATE('08:00', 'HH24:MI'), TO_DATE('22:00', 'HH24:MI'), 'B');

ALTER TABLE SERVIS_PLAN
  ADD ID_SERVIS NUMBER;

UPDATE SERVIS_PLAN
SET ID_SERVIS=1
WHERE ID_SERVIS IS NULL;

ALTER TABLE SERVIS_PLAN
  MODIFY ID_SERVIS NUMBER NOT NULL;

ALTER TABLE SERVIS_PLAN
  ADD CONSTRAINT FK_SERVIS_PLAN_PARAM FOREIGN KEY (ID_SERVIS)
REFERENCES SERVIS_PARAM (ID_SERVIS);

DROP VIEW V_SERVISPLAN;

CREATE VIEW V_SERVISPLAN AS
SELECT A.ID_SERVIS, A.ID_SERVIS_PLAN, A.DATUM, A.URA_OD, A.URA_DO, A.URE, A.VIR, A.ID_SERVIS_VIRI, A.ID_VIRA, A.FIXED,
A.KOMENTAR, A.STATUS, B.ID_DN, B.STATUS AS STATUSSV, B.VRSTA, B.TIMELINE, C.PLANING, C.TIMELINE AS TIMELINEDN
FROM 
SERVIS_PLAN A
LEFT OUTER JOIN SERVIS_VIRI B ON A.ID_SERVIS_VIRI=B.ID_SERVIS_VIRI
LEFT OUTER JOIN M_DE_NA C ON B.ID_DN=C.ID_DN
ORDER BY A.ID_SERVIS, A.ID_VIRA, A.URA_OD
;

ALTER TABLE VIRI 
  ADD ID_SERVIS NUMBER;

UPDATE VIRI SET ID_SERVIS=1 WHERE ID_SERVIS IS NULL;

ALTER TABLE VIRI 
  MODIFY ID_SERVIS NUMBER NOT NULL;

ALTER TABLE VIRI 
  ADD CONSTRAINT FK_VIRI_SERVIS_PARAM FOREIGN KEY (ID_SERVIS)
  REFERENCES SERVIS_PARAM (ID_SERVIS);

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) values 
('VIRI','ID_SERVIS','SERVIS_PARAM','ID_SERVIS','I','OPIS','S');

ALTER TABLE SERVIS_PARAM ADD MIN_INTERVAL NUMBER DEFAULT 60;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (316, SYSDATE, '5.5', 236, 'Servis basic planing');