CREATE TABLE NNWEATHER_TYPE (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNWEATHER_TYPE_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE NNWIND_DIRECTION (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNWIND_DIRECTION_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE WEATHER (
	ID NUMBER NOT NULL,
	ON_DATE DATE,
	WEATHER_TYPE VARCHAR2(3 CHAR),
	TEMPERATURE NUMBER,
	WIND_DIRECTION VARCHAR2(3 CHAR),
	WIND_SPEED_DESC VARCHAR2(250 CHAR),
	PRECIPITATION NUMBER,
	USER_COMMENT VARCHAR2(2000 CHAR),
	ACTIVE VARCHAR2(1 CHAR),
	CONSTRAINT WEATHER_WEATHER_TYPE_FK FOREIGN KEY (WEATHER_TYPE) REFERENCES NNWEATHER_TYPE(SIFRA),
	CONSTRAINT WEATHER_WIND_DIRECTION_FK FOREIGN KEY (WIND_DIRECTION) REFERENCES NNWIND_DIRECTION(SIFRA),
	CONSTRAINT WEATHER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE WEATHER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_WEATHER
AS (
SELECT W.ID, W.ON_DATE, W.WEATHER_TYPE, W.TEMPERATURE, W.WIND_DIRECTION, W.WIND_SPEED_DESC, W.PRECIPITATION, W.USER_COMMENT, W.ACTIVE,
WT.OPIS AS WEATHER_TYPE_OPIS, WT.INTERNI_OPIS AS WEATHER_TYPE_INTERNI_OPIS, WD.OPIS AS WIND_DIRECTION_OPIS, WD.INTERNI_OPIS AS WIND_DIRECTION_INTERNI_OPIS
FROM WEATHER W
LEFT OUTER JOIN NNWEATHER_TYPE WT ON WT.SIFRA = W.WEATHER_TYPE
LEFT OUTER JOIN NNWIND_DIRECTION WD ON WD.SIFRA = W.WIND_DIRECTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (660, SYSDATE, '5.5', 580, 'Weather');