CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.TYPE AS QUESTION_TYPE,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED, SQ.MAP_TABLE_NAME, SQ.MAP_COLUMN_NAME
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
);

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER_MASTER AS (
	SELECT QAM.ID, QAM.ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, QAM.DATE_CREATED,
  QU.NAME AS QUESTIONNAIRE_NAME
	FROM QUESTIONNAIRE_ANSWER_MASTER QAM
  LEFT OUTER JOIN QUESTIONNAIRE QU ON QU.ID = QAM.ID_QUESTIONNAIRE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (885, SYSDATE, '5.5', 805, 'Vprasalniki');